var year = '';
var month = 0;
var month_name = {
    '1': 'January',
    '2': 'February',
    '3': 'March',
    '4': 'April',
    '55': 'May',
    '6': 'June',
    '7': 'July',
    '8': 'August',
    '9': 'September',
    '10': 'October',
    '11': 'November',
    '12': 'December',
};
$(document).ready(function () {

    var date = serverDate();
    year = date.split("/")[0];
    month = parseFloat(date.split("/")[1])-1;

    $('#lblYear_MonthEnd').text('Year : ' + year);
    $('#lblMonth_MonthEnd').text('Month : ' + month_name[month]);

    if (month == 12) {
        year++;
        month = 1;
    }

});


function proccess_MonthEnd() {

    $.ajax({
        type: "GET",
        url: '/hr/attendanceMontendProcess/' + year + '/' + month,
        processData: false,
        contentType: false,
        cache: false,
        timeout: 0,
        beforeSend: function () {
            $('#btnProccess_MonthEnd').prop("disabled", true);
            document.getElementById('btnProccess_MonthEnd').innerHTML = '<i class="fa fa-circle-o-notch fa-spin"></i>';
        },
        success: function (response) {
            console.log(response);
            isMonthEndPeocess_RawData();
            isMonthEndPeocess_AttendaceCalculation();
            isMonthEndPeocess_PostPayroll();
            showSuccessMessage('Month End Process completed successfully...!');

        },
        error: function (error) {
            console.log(error);
            showErrorMessage();
        },
        complete: function () {
            $('#btnProccess_MonthEnd').text('Process');
            $('#btnProccess_MonthEnd').prop("disabled", false);
        }

    });
}